Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Library of cd audio related routines.
Name:		libcdaudio
Version:	0.99.12
Release:	2
Provides:	%{name}
License:	GPL
URL:		http://libcdaudio.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Library of cd audio related routines.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --enable-threads --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*
%exclude %_includedir
%exclude %_libdir/*.a
%exclude %_libdir/*.la

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 0.99.12-2
- Tweaked specfile, moved static files to devel package
* Thu Jun 16 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.99.12-1
- Initial Release